version: '3.9'
name: 'ar2'

services:
  ar2_parrot:
    image: registry.gitlab.com/beerlab/cpc/quadcopter/ar2_parrot_driver:latest
    container_name: ar2
    command: ["/bin/bash", "-ci", "roslaunch ardrone_autonomy ardrone.launch ip:=192.168.2.1"]
    environment:
      - DISPLAY
      - XAUTORITY
      - QT_X11_NO_MITSHM=1
    ipc: host
    stdin_open: true
    tty: true
    network_mode: "host"
    privileged: true
    volumes:
      - /tmp/.X11-unix:/tmp/.X11-unix:rw
      - /etc/localtime:/etc/localtime:ro
      - /dev:/dev

